Python
import honeyhive
from honeyhive.models import components
s = honeyhive.HoneyHive(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
)
res = s.runs.create_run(request=components.CreateRunRequest(
project='<value>',
name='<value>',
event_ids=[
'1b590040-fd4d-40db-a8d8-d6e550cfa9f3',
],
))
if res.create_run_response is not None:
# handle response
passimport { HoneyHive } from "honeyhive";
import { Status } from "honeyhive/dist/models/components";
async function run() {
const sdk = new HoneyHive({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
const res = await sdk.runs.createRun({
project: "<value>",
name: "<value>",
eventIds: [
"1b590040-fd4d-40db-a8d8-d6e550cfa9f3",
],
datapointIds: [
"<value>",
],
configuration: {
"key": "<value>",
},
metadata: {
"key": "<value>",
},
});
if (res.statusCode == 200) {
// handle response
}
}
run();curl --request POST \
--url https://api.honeyhive.ai/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project": "<string>",
"name": "<string>",
"event_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"dataset_id": "<string>",
"datapoint_ids": [
"<string>"
],
"configuration": {},
"metadata": {}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project: '<string>',
name: '<string>',
event_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
dataset_id: '<string>',
datapoint_ids: ['<string>'],
configuration: {},
metadata: {}
})
};
fetch('https://api.honeyhive.ai/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"evaluation": {
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"event_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"dataset_id": "<string>",
"datapoint_ids": [
"<string>"
],
"results": {},
"configuration": {},
"metadata": {},
"name": "<string>"
},
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Experiments
Create a new evaluation run
POST
/
runs
Python
import honeyhive
from honeyhive.models import components
s = honeyhive.HoneyHive(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
)
res = s.runs.create_run(request=components.CreateRunRequest(
project='<value>',
name='<value>',
event_ids=[
'1b590040-fd4d-40db-a8d8-d6e550cfa9f3',
],
))
if res.create_run_response is not None:
# handle response
passimport { HoneyHive } from "honeyhive";
import { Status } from "honeyhive/dist/models/components";
async function run() {
const sdk = new HoneyHive({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
const res = await sdk.runs.createRun({
project: "<value>",
name: "<value>",
eventIds: [
"1b590040-fd4d-40db-a8d8-d6e550cfa9f3",
],
datapointIds: [
"<value>",
],
configuration: {
"key": "<value>",
},
metadata: {
"key": "<value>",
},
});
if (res.statusCode == 200) {
// handle response
}
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The UUID of the project this run is associated with
The name of the run to be displayed
The UUIDs of the sessions/events this run is associated with
The UUID of the dataset this run is associated with
The UUIDs of the datapoints from the original dataset this run is associated with
The configuration being used for this run
Additional metadata for the run
The status of the run
Available options:
pending, completed Was this page helpful?
⌘I

